# Uses of Interface
org.eclipse.emf.compare.rcp.ui.mergeviewer.item.IMergeViewerItem

Packages that use IMergeViewerItem
Package
Description
org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.provider
org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.tree.provider
org.eclipse.emf.compare.rcp.ui.contentmergeviewer.accessor
org.eclipse.emf.compare.rcp.ui.internal.contentmergeviewer.accessor.impl
org.eclipse.emf.compare.rcp.ui.internal.mergeviewer.item.impl
org.eclipse.emf.compare.rcp.ui.internal.util
org.eclipse.emf.compare.rcp.ui.mergeviewer.item

## Uses of IMergeViewerItem in org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.provider

Methods in org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.provider that return IMergeViewerItem
Modifier and Type
Method
Description
`IMergeViewerItem`
CompareAccessorMergeViewerItemProvider.`getItemToSelect(Object object, IMergeViewerItemProviderConfiguration configuration)`
Determine the merge viewer item which shall be selected.

## Uses of IMergeViewerItem in org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.tree.provider

Methods in org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.tree.provider that return IMergeViewerItem
Modifier and Type
Method
Description
`protected IMergeViewerItem`
TreeMergeViewerItemContentProvider.`createBasicContainer(ResourceAttachmentChange diff, IMergeViewerItem mergeViewerItem, AdapterFactory adapterFactory)`
Create an IMergeViewerItem for the parent of the given `ResourceAttachmentChange`.
`protected IMergeViewerItem`
TreeMergeViewerItemContentProvider.`createMergeViewerItem(Comparison comparison, Diff diff, Object left, Object right, Object ancestor, IMergeViewer.MergeViewerSide side, AdapterFactory adapterFactory)`
Creates the `IMergeViewerItem` from the given data.
`protected IMergeViewerItem`
TreeMergeViewerItemContentProvider.`createMergeViewerItem(Comparison comparison, Diff diff, Match match, IMergeViewer.MergeViewerSide side, AdapterFactory adapterFactory)`
Creates the `IMergeViewerItem` from the given data.
`protected IMergeViewerItem`
TreeMergeViewerItemContentProvider.`createMergeViewerItemFrom(EObject eObject, IMergeViewerItem parent, IMergeViewerItemProviderConfiguration configuration)`
Creates an IMergeViewerItem from an EObject.
Methods in org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.tree.provider that return types with arguments of type IMergeViewerItem
Modifier and Type
Method
Description
`protected List<IMergeViewerItem>`
TreeMergeViewerItemContentProvider.`createInsertionPoints(IMergeViewerItem parent, List<Object> sideContent, List<Object> oppositeContent, List<Object> ancestorContent, List<? extends IMergeViewerItem> values, List<? extends Diff> differences, IMergeViewerItemProviderConfiguration configuration)`
Creates the insertion points for the given `values` based on the children of each side.
`protected List<IMergeViewerItem>`
TreeMergeViewerItemContentProvider.`createInsertionPoints(IMergeViewerItem parent, List<IMergeViewerItem> values, List<? extends Diff> differences, IMergeViewerItemProviderConfiguration configuration)`
Creates and inserts the insertion points for the given `values`.
`protected List<IMergeViewerItem>`
TreeMergeViewerItemContentProvider.`createMergeViewerItemsFrom(Collection<?> values, IMergeViewerItem parent, IMergeViewerItemProviderConfiguration configuration)`
Creates the Merge Viewer Items for the given `values`.
Methods in org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.tree.provider with parameters of type IMergeViewerItem
Modifier and Type
Method
Description
`protected IMergeViewerItem`
TreeMergeViewerItemContentProvider.`createBasicContainer(ResourceAttachmentChange diff, IMergeViewerItem mergeViewerItem, AdapterFactory adapterFactory)`
Create an IMergeViewerItem for the parent of the given `ResourceAttachmentChange`.
`protected List<IMergeViewerItem>`
TreeMergeViewerItemContentProvider.`createInsertionPoints(IMergeViewerItem parent, List<Object> sideContent, List<Object> oppositeContent, List<Object> ancestorContent, List<? extends IMergeViewerItem> values, List<? extends Diff> differences, IMergeViewerItemProviderConfiguration configuration)`
Creates the insertion points for the given `values` based on the children of each side.
`protected List<IMergeViewerItem>`
TreeMergeViewerItemContentProvider.`createInsertionPoints(IMergeViewerItem parent, List<IMergeViewerItem> values, List<? extends Diff> differences, IMergeViewerItemProviderConfiguration configuration)`
Creates and inserts the insertion points for the given `values`.
`protected IMergeViewerItem`
TreeMergeViewerItemContentProvider.`createMergeViewerItemFrom(EObject eObject, IMergeViewerItem parent, IMergeViewerItemProviderConfiguration configuration)`
Creates an IMergeViewerItem from an EObject.
`protected List<IMergeViewerItem>`
TreeMergeViewerItemContentProvider.`createMergeViewerItemsFrom(Collection<?> values, IMergeViewerItem parent, IMergeViewerItemProviderConfiguration configuration)`
Creates the Merge Viewer Items for the given `values`.
`protected Object`
TreeMergeViewerItemContentProvider.`getBestSideValue(IMergeViewerItem mergeViewerItem, IMergeViewer.MergeViewerSide side)`
Get a non-null side of the the given `IMergeViewerItem`, preferring but not limited to the given side.
`protected Object`
TreeMergeViewerItemContentProvider.`getSideValue(IMergeViewerItem mergeViewerItem, IMergeViewer.MergeViewerSide side)`
`protected boolean`
TreeMergeViewerItemContentProvider.`yieldsInsertionPoint(IMergeViewerItem parent, Iterable<? extends Diff> diffs, IMergeViewerItemProviderConfiguration configuration)`
Indicates whether for the given diffs at least one `IMergeViewerItem` insertion point should be created.
Method parameters in org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.tree.provider with type arguments of type IMergeViewerItem
Modifier and Type
Method
Description
`protected List<IMergeViewerItem>`
TreeMergeViewerItemContentProvider.`createInsertionPoints(IMergeViewerItem parent, List<IMergeViewerItem> values, List<? extends Diff> differences, IMergeViewerItemProviderConfiguration configuration)`
Creates and inserts the insertion points for the given `values`.

## Uses of IMergeViewerItem in org.eclipse.emf.compare.rcp.ui.contentmergeviewer.accessor

Methods in org.eclipse.emf.compare.rcp.ui.contentmergeviewer.accessor that return IMergeViewerItem
Modifier and Type
Method
Description
`IMergeViewerItem`
ICompareAccessor.`getInitialItem()`
Returns the initial item of this accessor.
Methods in org.eclipse.emf.compare.rcp.ui.contentmergeviewer.accessor that return types with arguments of type IMergeViewerItem
Modifier and Type
Method
Description
`com.google.common.collect.ImmutableList<? extends IMergeViewerItem>`
ICompareAccessor.`getItems()`
Returns the list of items known by this accessor.

## Uses of IMergeViewerItem in org.eclipse.emf.compare.rcp.ui.internal.contentmergeviewer.accessor.impl

Methods in org.eclipse.emf.compare.rcp.ui.internal.contentmergeviewer.accessor.impl that return IMergeViewerItem
Modifier and Type
Method
Description
`IMergeViewerItem`
AbstractStructuralFeatureAccessor.`getInitialItem()`
Returns the initial item of this accessor.
`IMergeViewerItem`
ContainmentReferenceChangeAccessorImpl.`getInitialItem()`
Returns the initial item of this accessor.
`IMergeViewerItem`
MatchAccessor.`getInitialItem()`
Returns the initial item of this accessor.
`IMergeViewerItem`
ResourceContentsAccessorImpl.`getInitialItem()`
Returns the initial item of this accessor.
Methods in org.eclipse.emf.compare.rcp.ui.internal.contentmergeviewer.accessor.impl that return types with arguments of type IMergeViewerItem
Modifier and Type
Method
Description
`com.google.common.collect.ImmutableList<? extends IMergeViewerItem>`
ContainmentReferenceChangeAccessorImpl.`getItems()`
Returns the list of items known by this accessor.
`com.google.common.collect.ImmutableList<? extends IMergeViewerItem>`
FeatureMapKeyChangeAccessorImpl.`getItems()`
Returns the list of items known by this accessor.
`com.google.common.collect.ImmutableList<? extends IMergeViewerItem>`
ManyStructuralFeatureAccessorImpl.`getItems()`
Returns the list of items known by this accessor.
`com.google.common.collect.ImmutableList<? extends IMergeViewerItem>`
MatchAccessor.`getItems()`
Returns the list of items known by this accessor.
`com.google.common.collect.ImmutableList<? extends IMergeViewerItem>`
ResourceContentsAccessorImpl.`getItems()`
Returns the list of items known by this accessor.
`com.google.common.collect.ImmutableList<? extends IMergeViewerItem>`
SingleStructuralFeatureAccessorImpl.`getItems()`
Returns the list of items known by this accessor.

## Uses of IMergeViewerItem in org.eclipse.emf.compare.rcp.ui.internal.mergeviewer.item.impl

Classes in org.eclipse.emf.compare.rcp.ui.internal.mergeviewer.item.impl that implement IMergeViewerItem
Modifier and Type
Class
Description
`class`
`MergeViewerItem`
`static class`
`MergeViewerItem.Container`
Deprecated.
`class`
`ResourceAttachmentChangeMergeViewerItem`
A specific `MergeViewerItem` for `ResourceAttachmentChange`.
Methods in org.eclipse.emf.compare.rcp.ui.internal.mergeviewer.item.impl that return IMergeViewerItem
Modifier and Type
Method
Description
`IMergeViewerItem`
MergeViewerItem.`cloneAsOpposite()`
`protected IMergeViewerItem`
MergeViewerItem.`createMergeViewerItemFrom(EObject eObject)`
Deprecated.
`protected IMergeViewerItem`
ResourceAttachmentChangeMergeViewerItem.`createMergeViewerItemFrom(EObject eObject)`
Creates an IMergeViewerItem from an EObject.
`IMergeViewerItem[]`
MergeViewerItem.Container.`getChildren(IDifferenceGroupProvider group, com.google.common.base.Predicate<? super EObject> predicate)`
Deprecated.
Returns the children of this container.
`IMergeViewerItem[]`
ResourceAttachmentChangeMergeViewerItem.`getChildren(IDifferenceGroupProvider group, com.google.common.base.Predicate<? super EObject> filters)`
Returns the children of this container.
`static IMergeViewerItem[]`
MergeViewerItem.Container.`getNoItemsArr()`
Deprecated.
Methods in org.eclipse.emf.compare.rcp.ui.internal.mergeviewer.item.impl that return types with arguments of type IMergeViewerItem
Modifier and Type
Method
Description
`protected final List<IMergeViewerItem>`
MergeViewerItem.`createInsertionPoints(Comparison comparison, EStructuralFeature eStructuralFeature, List<? extends IMergeViewerItem> values, List<? extends Diff> differences)`
Deprecated.
`protected final List<IMergeViewerItem>`
MergeViewerItem.`createMergeViewerItemFrom(Collection<?> values)`
Deprecated.
Method parameters in org.eclipse.emf.compare.rcp.ui.internal.mergeviewer.item.impl with type arguments of type IMergeViewerItem
Modifier and Type
Method
Description
`protected final List<IMergeViewerItem>`
MergeViewerItem.`createInsertionPoints(Comparison comparison, EStructuralFeature eStructuralFeature, List<? extends IMergeViewerItem> values, List<? extends Diff> differences)`
Deprecated.

## Uses of IMergeViewerItem in org.eclipse.emf.compare.rcp.ui.internal.util

Methods in org.eclipse.emf.compare.rcp.ui.internal.util that return IMergeViewerItem
Modifier and Type
Method
Description
`static IMergeViewerItem`
ResourceUIUtil.`addNewContainerForNotLoadedFragmentMatches(Collection<IMergeViewerItem> items, IMergeViewer.MergeViewerSide side, Comparison comparison, AdapterFactory adapterFactory)`
Adds a new parent container to the given list of IMergeViewerItems if needed and returns it.
`static IMergeViewerItem`
ResourceUIUtil.`createItemForNotLoadedFragmentMatch(Match match, IMergeViewer.MergeViewerSide side, Comparison comparison, AdapterFactory adapterFactory)`
Constructs a `NotLoadedFragmentMatch` from the given `Match` and then return the `IMergeViewerItem` corresponding to this NotLoadedFragmentMatch.
Methods in org.eclipse.emf.compare.rcp.ui.internal.util with parameters of type IMergeViewerItem
Modifier and Type
Method
Description
`static boolean`
MergeViewerUtil.`isMarkAsMerged(Diff diff, IMergeViewerItem item, IEMFCompareConfiguration compareConfiguration)`
Checks if the given diff is considered as a mark as merged diff.
Method parameters in org.eclipse.emf.compare.rcp.ui.internal.util with type arguments of type IMergeViewerItem
Modifier and Type
Method
Description
`static IMergeViewerItem`
ResourceUIUtil.`addNewContainerForNotLoadedFragmentMatches(Collection<IMergeViewerItem> items, IMergeViewer.MergeViewerSide side, Comparison comparison, AdapterFactory adapterFactory)`
Adds a new parent container to the given list of IMergeViewerItems if needed and returns it.
`static Collection<Match>`
ResourceUIUtil.`getNotLoadedFragmentMatches(Collection<IMergeViewerItem> items)`
Get from the given list of `IMergeViewerItem`s, the NotLoadedFragmentMatchs.

## Uses of IMergeViewerItem in org.eclipse.emf.compare.rcp.ui.mergeviewer.item

Subinterfaces of IMergeViewerItem in org.eclipse.emf.compare.rcp.ui.mergeviewer.item
Modifier and Type
Interface
Description
`static interface`
`IMergeViewerItem.Container`
Deprecated.
IMergeViewerItem.Container is no longer needed since its functionality is now provided by `IMergeViewerItemContentProvider`.
Fields in org.eclipse.emf.compare.rcp.ui.mergeviewer.item with type parameters of type IMergeViewerItem
Modifier and Type
Field
Description
`static final com.google.common.base.Predicate<IMergeViewerItem>`
IMergeViewerItem.`IS_INSERTION_POINT`
A predicate to know if the given Item is an insertion point.
Methods in org.eclipse.emf.compare.rcp.ui.mergeviewer.item that return IMergeViewerItem
Modifier and Type
Method
Description
`IMergeViewerItem[]`
IMergeViewerItem.Container.`getChildren(IDifferenceGroupProvider group, com.google.common.base.Predicate<? super EObject> predicate)`
Deprecated.
Returns the children of this container.